package com.company.composition.view.alert;

import com.company.composition.entity.Alert;
import com.company.composition.view.main.MainView;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.EditedEntityContainer;
import io.jmix.flowui.view.StandardDetailView;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;

@Route(value = "alerts/:id", layout = MainView.class)
@ViewController(id = "Alert.detail")
@ViewDescriptor(path = "alert-detail-view.xml")
@EditedEntityContainer("alertDc")
public class AlertDetailView extends StandardDetailView<Alert> {
}