package com.company.composition.view.datacenter;

import com.company.composition.entity.DataCenter;
import com.company.composition.view.main.MainView;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;


@Route(value = "dataCenters", layout = MainView.class)
@ViewController(id = "DataCenter.list")
@ViewDescriptor(path = "data-center-list-view.xml")
@LookupComponent("dataCentersDataGrid")
@DialogMode(width = "64em")
public class DataCenterListView extends StandardListView<DataCenter> {
}